NisusWrtStruct.hxx File Reference
`#include <iostream>`
`#include <vector>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWEntry.hxx"`

Go to the source code of this file.

## Classes

struct | NisusWrtStruct::Position
| a position More...
struct | NisusWrtStruct::Position::Compare
| a comparaison structure used to sort the position More...
struct | NisusWrtStruct::FootnoteInfo
| Internal: low level a structure helping to store the footnote information. More...
struct | NisusWrtStruct::RecursifData
| Internal: low level a structure helping to read recursifList. More...
struct | NisusWrtStruct::RecursifData::Info
| the zone information More...
struct | NisusWrtStruct::RecursifData::Node
| the data data More...

## Namespaces

namespace | NisusWrtStruct
| a namespace used to regroup the different structure used to parse a Nisus File

## Enumerations

enum | NisusWrtStruct::ZoneType : unsigned { NisusWrtStruct::Z_Main =0 , NisusWrtStruct::Z_Footnote , NisusWrtStruct::Z_HeaderFooter }
| the different zone More...
enum | NisusWrtStruct::VariableType { NisusWrtStruct::V_None =0 , NisusWrtStruct::V_Numbering , NisusWrtStruct::V_Variable , NisusWrtStruct::V_Version }
| the different variable type More...